## gnome-shell 42.4

=== debian/changelog ===
gnome-shell (1:42.4-2revyos1) unstable; urgency=medium

  * Rebuild for gles

 -- Han Gao <gaohan@iscas.ac.cn>  Fri, 07 Apr 2023 01:15:56 +0800

gnome-shell (42.4-2) unstable; urgency=medium

  * Build with libsoup3
  * Update Vcs branches since debian/master is tracking 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:09:52 -0400

gnome-shell (42.4-1) unstable; urgency=medium

  * New upstream release (LP: #1985304):
    - Fix logging in with realmd (LP: #1985128)
  * debian/patches: Drop applied patches

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Aug 2022 23:14:29 +0200

gnome-shell (42.3.1-2) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/source_gnome-shell.py: Support gdm name only
  * debian/control: Recommend gnome-remote-desktop

  [ Jeremy Bicha ]
  * Cherry-pick patch to allow Extension Manager update feature to work
    without the older Extensions app installed (LP: #1981952)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Jul 2022 07:36:31 +0200

gnome-shell (42.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Jul 2022 18:16:17 +0200

gnome-shell (42.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Jun 2022 11:05:06 +0100

gnome-shell (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1973373, LP: #1968911)
  * Drop all patches except 1 Debian-specific patch: applied in new release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 May 2022 15:09:47 -0400

gnome-shell (42.0-5) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream git commit 42.0-84-g9ee7af233
    - Bug fixes targeted for 42.1
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Apr 2022 10:04:11 +0100

gnome-shell (42.0-4) unstable; urgency=medium

  * Team upload

  [ Pablo Mazzini ]
  * Move evolution-data-server from Depends to Recommends
    (Closes: #869230)

  [ Simon McVittie ]
  * Update to upstream git commit 42.0-69-g653697683
    - Bug fixes targeted for 42.1
    - Translation updates
    - Update metadata of patches that were already present

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Apr 2022 12:28:27 +0100

gnome-shell (42.0-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Move Debian-specific temporary patches to debian/
  * debian/control.in: Recommend power-profiles-daemon for power mode feature

  [ Simon McVittie ]

  * d/p/Specify-API-versions-for-all-public-GIR-APIs-except-GLib.patch:
    Add patch to make Shell more robust against GIR API breaks.
    This avoids future bugs similar to #1008926.
  * d/patches: Remove compatibility with older gnome-control-center
  * Bump Recommends to gnome-control-center (>= 1:42)

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Apr 2022 16:47:53 +0100
