## gnome-shell 42.9

=== debian/changelog ===
gnome-shell (42.9-0ubuntu2) jammy; urgency=medium

  * New upstream release (LP: #2023913)
  * debian/control.in: Bump minimum mutter to 42.9

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 15:35:33 -0400

gnome-shell (42.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1993809)
    - Fix switching monitor with Super-P (LP: #1984147)
  * debian/source_gnome-shell.py: Don't try to report nonexistent mouse
    gsettings schema

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2022 08:03:20 -0400

gnome-shell (42.4-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #1985304):
    - Fix logging in with realmd (LP: #1985128)
  * debian/patches: Refresh and drop applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Aug 2022 17:58:27 -0400

gnome-shell (42.3.1-0ubuntu2) jammy; urgency=medium

  * New upstream release (LP: #1981937)
  * Cherry-pick patch to allow Extension Manager update feature to work
    without the older Extensions app installed (LP: #1981952)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Jul 2022 07:43:39 +0200
