=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -19,7 +20,7 @@
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
                gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
-               gir1.2-gweather-4.0 (>= 4.1) <!nocheck>,
+               gir1.2-gweather-3.0 (>= 40.0) <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev (>= 1:3.4),
@@ -30,8 +31,8 @@
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
-               libecal2.0-dev (>= 3.45),
-               libedataserver1.2-dev (>= 3.45),
+               libecal2.0-dev (>= 3.33.1),
+               libedataserver1.2-dev (>= 3.33.1),
                libgcr-3-dev (>= 3.7.5),
                libgirepository1.0-dev (>= 1.29.15),
                libgjs-dev (>= 1.71.1),
@@ -48,8 +49,8 @@
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-10-dev (>= 42.0),
-               libmutter-test-10 (>= 42.0) <!nocheck>,
+               libmutter-10-dev (>= 42.9),
+               libmutter-test-10 (>= 42.9) <!nocheck>,
                libnm-dev (>= 1.10.4) [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
@@ -62,7 +63,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 42.0) <!nocheck>,
+               mutter (>= 42.9) <!nocheck>,
                pkg-config (>= 0.22),
                sassc,
                systemd [linux-any],
@@ -72,12 +73,15 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -B debian/bookworm
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/debian/bookworm
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/jammy
 
 Package: gnome-shell
 Architecture: linux-any
-Depends: gir1.2-accountsservice-1.0,
+Depends: evolution-data-server (>= 3.33.1),
+         gir1.2-accountsservice-1.0,
          gir1.2-adw-1,
          gir1.2-atk-1.0,
          gir1.2-atspi-2.0 (>= 2.36),
@@ -93,34 +97,32 @@
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gtk-4.0,
-         gir1.2-gweather-4.0 (>= 4.1),
+         gir1.2-gweather-3.0 (>= 40.0),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-10 (>= 42.0),
+         gir1.2-mutter-10 (>= 42.9),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
          gir1.2-polkit-1.0,
          gir1.2-rsvg-2.0,
-         gir1.2-soup-3.0,
+         gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
-         gir1.2-webkit2-4.1,
-         gnome-backgrounds (>= 3.13.90),
+         gir1.2-webkit2-4.0 (>= 2.16.0),
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 42~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin (>= 2.53.0),
          python3,
+         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt (>= 0.3),
-            chrome-gnome-shell,
-            evolution-data-server (>= 3.45),
             gdm3 (>= 3.10.0.1-3~),
             gkbd-capplet,
-            gnome-control-center (>= 1:42),
+            gnome-control-center (>= 1:3.25.2),
             gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
@@ -128,11 +130,15 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
+            ubuntu-session | gnome-session,
+            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2 (>= 0.8.0),
+          gnome-backgrounds (>= 3.13.90),
           gnome-shell-extension-prefs,
+          chrome-gnome-shell,
 Breaks: gnome-shell-extension-appindicator (<< 36),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
@@ -144,9 +150,13 @@
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 27-3~),
+        gnome-shell-extension-ubuntu-dock (<< 68ubuntu20.10.1),
         gnome-shell-extension-workspaces-to-dock (<< 54~),
         gnome-shell-extensions (<< 40.0~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
+        gnome-session (<< 3.35.3-1ubuntu4~),
+        nautilus (<< 1:3.30),
+        yaru-theme-gnome-shell (<< 22.04.1~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -160,6 +170,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: yaru-theme-gnome-shell (>= 22.04.1~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
