## gnome-shell 42.9-0ubuntu2.1+11.0trisquel1

=== debian/changelog ===
gnome-shell (42.9-0ubuntu2.1+11.0trisquel1) aramo-security; urgency=medium

  * Drop deprecated scripts running on trisquel-mini.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 09 May 2024 14:39:50 +0000

gnome-shell (42.9-0ubuntu2.1) jammy-security; urgency=medium

  * Fix compatibility with glib2.0 security update
    - debian/patches/correct_expected_bus_name.patch: correct expected bus
      name for streams in js/dbusServices/screencast/screencastService.js.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 May 2024 17:06:57 -0400
