=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -20,7 +20,7 @@
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
                gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
-               gir1.2-gweather-3.0 (>= 40.0) <!nocheck>,
+               gir1.2-gweather-4.0 (>= 4.1) <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev (>= 1:3.4),
@@ -31,11 +31,11 @@
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
-               libecal2.0-dev (>= 3.33.1),
-               libedataserver1.2-dev (>= 3.33.1),
+               libecal2.0-dev (>= 3.45),
+               libedataserver1.2-dev (>= 3.45),
                libgcr-3-dev (>= 3.7.5),
                libgirepository1.0-dev (>= 1.29.15),
-               libgjs-dev (>= 1.71.1),
+               libgjs-dev (>= 1.73.1),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.57.2),
                libgnome-autoar-0-dev,
@@ -49,8 +49,8 @@
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-10-dev (>= 42.9),
-               libmutter-test-10 (>= 42.9) <!nocheck>,
+               libmutter-11-dev (>= 43.0),
+               libmutter-test-11 (>= 43.0) <!nocheck>,
                libnm-dev (>= 1.10.4) [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
@@ -63,7 +63,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 42.9) <!nocheck>,
+               mutter (>= 43.0) <!nocheck>,
                pkg-config (>= 0.22),
                sassc,
                systemd [linux-any],
@@ -71,17 +71,16 @@
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
 
 Package: gnome-shell
 Architecture: linux-any
-Depends: evolution-data-server (>= 3.33.1),
-         gir1.2-accountsservice-1.0,
+Depends: gir1.2-accountsservice-1.0,
          gir1.2-adw-1,
          gir1.2-atk-1.0,
          gir1.2-atspi-2.0 (>= 2.36),
@@ -97,18 +96,18 @@
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gtk-4.0,
-         gir1.2-gweather-3.0 (>= 40.0),
+         gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-10 (>= 42.9),
+         gir1.2-mutter-11 (>= 43.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
          gir1.2-polkit-1.0,
          gir1.2-rsvg-2.0,
-         gir1.2-soup-2.4 (>= 2.40.1),
+         gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0 (>= 0.99),
-         gir1.2-webkit2-4.0 (>= 2.16.0),
+         gir1.2-webkit2-4.1,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 42~beta),
@@ -120,9 +119,10 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt (>= 0.3),
+            evolution-data-server (>= 3.45),
             gdm3 (>= 3.10.0.1-3~),
             gkbd-capplet,
-            gnome-control-center (>= 1:3.25.2),
+            gnome-control-center (>= 1:42),
             gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
@@ -150,13 +150,9 @@
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 27-3~),
-        gnome-shell-extension-ubuntu-dock (<< 68ubuntu20.10.1),
         gnome-shell-extension-workspaces-to-dock (<< 54~),
         gnome-shell-extensions (<< 40.0~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
-        gnome-session (<< 3.35.3-1ubuntu4~),
-        nautilus (<< 1:3.30),
-        yaru-theme-gnome-shell (<< 22.04.1~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -170,7 +166,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 22.04.1~)
+Recommends: yaru-theme-gnome-shell (>= 22.10.1~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
@@ -180,7 +176,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.71.1),
+         gjs (>= 1.73.1),
          gnome-shell (= ${binary:Version}),
          gnome-shell-common (= ${source:Version}),
          ${gir:Depends},
