=== debian/control ===
--- 
+++ 
@@ -75,8 +75,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/kinetic
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/kinetic
 
 Package: gnome-shell
 Architecture: linux-any
