## gnome-shell 43.6

=== debian/changelog ===
gnome-shell (43.6-1~deb12u2) bookworm-security; urgency=high

  * Team upload
  * Avoid exposing window previews on lock screen via keyboard shortcuts
    (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Sep 2023 17:18:49 +0100

gnome-shell (43.6-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm

 -- Simon McVittie <smcv@debian.org>  Sun, 11 Jun 2023 00:08:43 +0100

gnome-shell (43.6-1) unstable; urgency=medium

  * New upstream stable release 43.5
    - Fix a regression in 43~beta involving detection of hotplugged media
      with autorunnable content (gnome-shell!2745)
    - Make search results fill unused space as intended (gnome-shell#5924)
    - Improve matching of app StartupWMClass to a .desktop file, giving
      priority to apps that were not hidden by OnlyShowIn under the current
      desktop environment, in particular preferring gnome-system-monitor's
      non-KDE-specific .desktop file while running GNOME (gnome-shell!2721)
    - Fix assertion failures after a window preview is destroyed
      (gnome-shell#5512, gnome-shell#6065)
    - Avoid destroying labels twice, most commonly when using
      gnome-shell-extension-dash-to-dock (gnome-shell!2739)
    - Avoid keyboard navigation focus getting stuck on top bar buttons with
      no associated menu (gnome-shell!2734, might help #1032319)
    - Fix queued notifications getting into a state where they can no
      longer be removed (gnome-shell!2736)
    - Receive notifications of removed objects from D-Bus ObjectManager
      instances correctly (gnome-shell!2730)
    - Fix a cursor appearing at 0,0 in screenshots that should not
      include it (gnome-shell!2702)
    - Update visibility of workspaces in workspace switcher when required
      (gnome-shell#6519)
    - After 60 second timeout in logout/reboot/poweroff confirmation
      dialog, do the requested action instead of leaving the Shell in a
      broken state (gnome-shell#6506)
    - Fix an assertion failure during shutdown (gnome-shell#6512)
    - Fix an assertion failure if Geoclue isn't D-Bus-activatable
      (gnome-shell!2689)
    - Fix a regression in which the cursor would not be included in
      screenshots since mutter 43.1 (gnome-shell!2710)
    - Upstream CI fixes not relevant to Debian
    - Translation update: zh_CN
  * New upstream stable release 43.6
    - Fix a crash when a window preview is destroyed (gnome-shell#6570)
    - When cancelling the polkit agent prompt while using
      gnome-remote-desktop, don't break subsequent polkit prompts
      (gnome-shell!2761)
    - Fix "TypeError: this._dragActor is null" warnings related to
      drag-and-drop (gnome-shell!2770)
    - Fix input method popup getting stuck on screen during engine changes
      (gnome-shell#6717)
    - Translation update: pt_BR
  * d/control.in: Build-depend on mutter 43.5, for a newly-public utility
    function needed by gnome-shell!2710
  * d/patches: Drop ab translation patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jun 2023 21:17:13 +0100

gnome-shell (43.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix memory leaks when the list of wireless networks is refreshed
      (GNOME/gnome-shell!2652)
    - Stop tracking drag-and-drop source object when destroyed
      (part of GNOME/gnome-shell!2318)
    - Translation update: fr
    - All other changes were included in 43.3-2 and 43.3-3
  * Drop patches added by 43.3-2 and 43.3-3, included in upstream 43.4
  * d/patches: Update to gnome-43 branch commit 43.4-1-g3499d2e87
    - Translation update: ab

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Apr 2023 14:07:38 +0100

gnome-shell (43.3-3) unstable; urgency=medium

  * Team upload
  * d/p/overview-Don-t-claim-to-be-SHOWN-when-HIDDEN-during-start.patch,
    d/p/overview-Hide-when-failing-to-take-grab-at-end-of-startup.patch:
    Fix regression in 43.3 which could cause the shell to become
    unresponsive, for example if a display is plugged or unplugged during
    the startup animation. (Closes: #1032497)

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Mar 2023 11:09:54 +0000

gnome-shell (43.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Add more translation updates from upstream:
    de, hu, lt, pl, sl, sr
    (upstream gnome-43 branch up to commit 43.3-13-g6f7ff15ec)

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Mar 2023 09:14:28 +0000

gnome-shell (43.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Don't dereference symlinks when deleting extensions
      (GNOME/gnome-shell#6182, which can be a data loss bug)
    - Fix windows disappearing from Alt+Tab if their title changes at
      just the wrong time (GNOME/gnome-shell#6385)
    - Log warnings on invalid state transitions (GNOME/gnome-shell#4561)
    - Fix some memory leaks in gdm (GNOME/gnome-shell#6395)
    - gnome-extensions tool: Fix the ability to enable and disable
      extensions while GNOME is installed but not running
      (GNOME/gnome-shell#6127)
    - Silence compiler warnings with newer GLib (GNOME/gnome-shell!2625)
    - Add precondition checks to prevent some crashes
      (GNOME/gnome-shell!2622)
    - Provide context to IBus input method when the surrounding text
      becomes empty (GNOME/gnome-shell#5895)
    - Avoid warnings with audio streams on a device not corresponding
      to a sound card, such as network sinks (GNOME/gnome-shell!2616)
    - Avoid some strings being untranslatable by working around an xgettext
      bug (GNOME/gnome-shell#5280)
    - Fix drag-and-drop in the dash when animations are disabled
      (GNOME/gnome-shell!2604)
    - Avoid warnings when dragging an app from the dash to the grid
      (GNOME/gnome-shell#6317)
    - Save screencasts to home directory if the Videos directory has been
      deleted, instead of failing to record (GNOME/gnome-shell!2594)
